using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.PF;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 危险源及风险库LEC
    /// </summary>
    [Description("危险源及风险库LEC")]
    public class T_HM_EVALUATE_RISK_LEC : MesEntityBase
    {
        /// <summary>
        /// 编码
        /// </summary>
        [Description("编号")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public double CODE { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        [Description("风险名称")]
        [DataFieldLength(500)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }
        [Description("类型")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(1)]
        public string TYPE { get; set; }
        
    }
}